searchNodes=[{"type":"task","title":"Mix.Tasks.Unocss","doc":"Invokes unocss with the given args. Usage: $ mix unocss TASK_OPTIONS PROFILE UNO_ARGS Example: $ mix unocss default --config=unocss.config.js --input=css/app.css --output=../priv/static/assets/app.css --minify If unocss is not installed, it is automatically downloaded. Note the arguments given to this task will be appended to any configured arguments. Options --runtime-config - load the runtime configuration before executing command Note flags to control this Mix task must be given before the profile: $ mix unocss --runtime-config default","ref":"Mix.Tasks.Unocss.html"},{"type":"task","title":"Mix.Tasks.Unocss.Install","doc":"Installs unocss under _build . $ mix unocss.install $ mix unocss.install --if-missing By default, it installs 0.61.5 but you can configure it in your config files, such as: config :unocss , :version , &quot;0.61.5&quot; Options * ` -- runtime - config ` - load the runtime configuration before executing command * ` -- if - missing ` - install only if the given version does not exist","ref":"Mix.Tasks.Unocss.Install.html"},{"type":"module","title":"Unocss","doc":"Unocss is an installer and runner for unocss . Profiles You can define multiple unocss profiles. By default, there is a profile called :default which you can configure its args, current directory and environment: config :unocss , version : &quot;0.61.5&quot; , default : [ args : ~w( --config=unocss.config.js --input=css/app.css --output=../priv/static/assets/app.css ) , cd : Path . expand ( &quot;../assets&quot; , __DIR__ ) , ] Unocss configuration There are two global configurations for the unocss application: :version - the expected unocss version :path - the path to find the unocss executable at. By default, it is automatically downloaded and placed inside the _build directory of your current app Overriding the :path is not recommended, as we will automatically download and manage unocss for you. But in case you can't download it (for example, GitHub behind a proxy), you may want to set the :path to a configurable system location. For instance, you can install unocss globally with npm : $ npm install -g unocss On Unix, the executable will be at: NPM_ROOT / unocss / node_modules / unocss - TARGET / bin / unocss On Windows, it will be at: NPM_ROOT / unocss / node_modules / unocss - windows - ( 32 | 64 ) / unocss . exe Where NPM_ROOT is the result of npm root -g and TARGET is your system target architecture. Once you find the location of the executable, you can store it in a MIX_Unocss_PATH environment variable, which you can then read in your configuration file: config :unocss , path : System . get_env ( &quot;&quot; ) The first time this package is installed, a default unocss configuration will be placed in a new assets/unocss.config.js file. See the unocss documentation on configuration options. Note : The stand-alone Unocss client bundles first-class unocss packages within the precompiled executable. For third-party Unocss plugin support, the node package must be used. See the unocss nodejs installation instructions if you require third-party plugin support. The default unocss configuration includes Unocss variants for Phoenix LiveView specific lifecycle classes: phx-no-feedback - applied when feedback should be hidden from the user phx-click-loading - applied when an event is sent to the server on click while the client awaits the server response phx-submit-loading - applied when a form is submitted while the client awaits the server response phx-submit-loading - applied when a form input is changed while the client awaits the server response Therefore, you may apply a variant, such as phx-click-loading:animate-pulse to customize unocss classes when Phoenix LiveView classes are applied.","ref":"Unocss.html"},{"type":"function","title":"Unocss.bin_path/0","doc":"Returns the path to the executable. The executable may not be available if it was not yet installed.","ref":"Unocss.html#bin_path/0"},{"type":"function","title":"Unocss.bin_version/0","doc":"Returns the version of the unocss executable. Returns {:ok, version_string} on success or :error when the executable is not available.","ref":"Unocss.html#bin_version/0"},{"type":"function","title":"Unocss.config_for!/1","doc":"Returns the configuration for the given profile. Returns nil if the profile does not exist.","ref":"Unocss.html#config_for!/1"},{"type":"function","title":"Unocss.configured_version/0","doc":"Returns the configured unocss version.","ref":"Unocss.html#configured_version/0"},{"type":"function","title":"Unocss.default_base_url/0","doc":"The default URL to install Unocss from.","ref":"Unocss.html#default_base_url/0"},{"type":"function","title":"Unocss.install/1","doc":"Installs unocss with configured_version/0 .","ref":"Unocss.html#install/1"},{"type":"function","title":"Unocss.install_and_run/2","doc":"Installs, if not available, and then runs unocss . Returns the same as run/2 .","ref":"Unocss.html#install_and_run/2"},{"type":"function","title":"Unocss.run/2","doc":"Runs the given command with args . The given args will be appended to the configured args. The task output will be streamed directly to stdio. It returns the status of the underlying call.","ref":"Unocss.html#run/2"},{"type":"extras","title":"CHANGELOG","doc":"","ref":"changelog.html"},{"type":"extras","title":"CHANGELOG - v0.61.5","doc":"Initial Commit","ref":"changelog.html#v0-61-5"}]